View Issue Details

IDProjectCategoryView StatusLast Update
0004181Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004181: user experience for insufficient funds error is bad
DescriptionRight now if a merchant is misconfigured and has to wrong mint public key, the wallet will just say "insufficient funds", even though from the perspective of the user it looks like they have a sufficient amount of the given currency.

Probably the wallet should say "You have no digital cash from a mint that the merchant supports" instead, and list the compatible mints (vs. the ones the user has).
TagsNo tags attached.

Relationships

related to 0004240 closedFlorian Dold wallet shows 'insufficient funds' only after I press "confirm payment" 

Activities

Florian Dold

2016-11-14 03:56

manager   ~0011487

Fixed in ded250e.

Issue History

Date Modified Username Field Change
2016-02-17 19:09 Florian Dold New Issue
2016-02-17 23:59 Florian Dold Assigned To => Florian Dold
2016-02-17 23:59 Florian Dold Status new => assigned
2016-02-17 23:59 Florian Dold Category wallet (app) => wallet (WebExtensions)
2016-02-19 21:41 Christian Grothoff Product Version => 0.0
2016-02-19 21:41 Christian Grothoff Target Version => 0.1
2016-02-20 02:17 Christian Grothoff Severity feature => minor
2016-03-20 21:53 Torsten Grothoff Issue cloned: 0004287
2016-04-08 00:08 Christian Grothoff Relationship added related to 0004240
2016-04-08 00:08 Christian Grothoff Target Version 0.1 => 0.2
2016-11-14 03:56 Florian Dold Note Added: 0011487
2016-11-14 04:01 Florian Dold Status assigned => resolved
2016-11-14 04:01 Florian Dold Resolution open => fixed
2016-11-15 16:03 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed